# Replace these settings with a SMTP server provided by your cloud vendor
# The mail scope is used for providing config to the underlying Micronaut framework
mail:
  from: "${TOWER_CONTACT_EMAIL}"
  smtp:
    host: ${TOWER_SMTP_HOST}
    port: ${TOWER_SMTP_PORT}
    user: ${TOWER_SMTP_USER}
    password: ${TOWER_SMTP_PASSWORD}
    # `starttls` should be enabled with a production SMTP host
    auth: true
    starttls:
      enable: true
      required: true
    ssl:
      protocols: "TLSv1.2"

# Duration of Tower sign-in email link validity
auth:
  mail:
    duration: 30m

# Set a custom application name for the Micronaut environment to deploy multiple instances from the same Enterprise account
# Required for AWS Parameter Store configuration. For more information, see https://docs.seqera.io/platform/23.4.0/enterprise/configuration/aws_parameter_store 
micronaut:
  application:
    name: tower-app

# The tower scope is used for providing config for your Tower Enterprise installation
tower:
  trustedEmails:
      - '*@org.xyz'
      - 'named_user@org.xyz'

  # Tower instance-wide configuration for authentication. For further information, see https://docs.seqera.io/platform/23.3.0/enterprise/configuration/authentication/
  auth:
    google:
      allow-list:
        - "*@org.xyz"
    oidc:
      allow-list:
        - "*@org.xyz"

  # Tower instance-wide configuration for SCM providers. For further information, see https://docs.seqera.io/platform/23.3.0/enterprise/configuration/overview
  scm:
    providers:
      github:
        user: <YOUR GITHUB USER NAME>
        password: <YOUR GITHUB ACCESS TOKEN OR PASSWORD>
      gitlab:
        user: <YOUR GITLAB USER NAME>
        password: <YOUR GITLAB PASSWORD>
        token: <YOUR GITLAB TOKEN>
      bitbucket:
        user: <YOUR BITBUCKET USER NAME>
        password: <YOUR BITBUCKET TOKEN OR PASSWORD>
